WebRTC Code Reviews
Help | Chromium Project | Sign in
(11121)

Issue 46749004: Use WebRTC API to convert byteorder in srtpfilter. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 5 months ago by fancycode
Modified:
4 years, 4 months ago
CC:
webrtc-reviews_webrtc.org
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Project:
webrtc
Visibility:
Public.

Description

Use WebRTC API to convert byteorder in srtpfilter. This CL uses WebRTC API to convert 64bit from big-endian to host-endian, so the internal "be64_to_cpu" of libsrtp is not used. The code path of "be64_to_cpu" in newer versions of libsrtp depends on compile-time defines that are not available in WebRTC. BUG=https://code.google.com/p/chromium/issues/detail?id=328475 R=juberti@webrtc.org Committed: https://chromium.googlesource.com/external/webrtc/+/4b3c0d6f34c379c2a06f654b62403876b20180c6

Patch Set 1 #

Messages

Total messages: 7 (0 generated)
fancycode
PTAL, this fixes an issue when compiling on Windows with newer version of libsrtp.
4 years, 5 months ago (2015-03-27 17:13:09 UTC) #1
juberti_webrtc
lgtm
4 years, 5 months ago (2015-03-27 21:54:56 UTC) #2
fancycode
Could somebody please land this?
4 years, 4 months ago (2015-03-31 07:32:50 UTC) #3
jiayang
On 2015/03/31 07:32:50, fancycode wrote: > Could somebody please land this? I'll help.
4 years, 4 months ago (2015-03-31 20:23:23 UTC) #4
fancycode
On 2015/03/31 20:23:23, jiayang wrote: > I'll help. Great, thanks.
4 years, 4 months ago (2015-03-31 20:45:33 UTC) #5
commit-bot
Patchset 1 (id:??) landed as https://crrev.com/4b3c0d6f34c379c2a06f654b62403876b20180c6 Cr-Commit-Position: refs/heads/master@{#8904}
4 years, 4 months ago (2015-03-31 22:02:57 UTC) #6
jiayang
4 years, 4 months ago (2015-03-31 22:02:59 UTC) #7
Message was sent while issue was closed.
Committed patchset #1 (id:1) manually as
4b3c0d6f34c379c2a06f654b62403876b20180c6 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 245c2c2-tainted